The short (possibly) instruction how to use the programs of the package phonetic-languages-simplified-examples-array
in Ukrainian is here:

https://web.archive.org/web/20210419065703/https://oleksandrzhabenko.github.io/uk/Instruction_phonetic-languages-simplified-examples-array-0.4.0.1.pdf

Since the version 0.2.0.0 there exist also comparative mode for the rewritePoemG3 executable. It allows to create from two
files with the text variants the new one. For more information in Ukrainian, please, refer to the instruction above to the
part of the rewritePoemG3 executable.

Since the version 0.4.0.0 added new line of rhythmicity evaluation functions ("z"-line).
The behaviour of the previous functions also 
changed, so it may be needed (in case where the results have some principal meaning, e. g. in scientific research,
not the text itself) to recalculate the results using these functions. Added the possibility to get the Ukrainian
informational messages during the work of the lineVariantsG3 executable (using the "+U" command line option not inside
the groups of options).

* Examples of usage

1) lineVariantsG3:

lineVariantsG3 <first argument> [<whether print the values of the property(ies)> <whether the last word must remain
on its place>] <numeric arguments> <property type> <Ukrainian text>

or:

lineVariantsG3 <first argument> [<whether print the values of the property(ies)> <whether the last word must remain
on its place>] <numeric arguments> <property type> <Ukrainian text> <somewhere among the arguments as a single group: constraints>

More partucular example of the abovementioned one:

lineVariantsG3 10.0_1.2 zz2 садок вишневий коло хати хрущі над вишнями гудуть (the Ukrainian text here and further is
from the Taras Shevchenko poem)

lineVariantsG3 10.0_1.2 5 5 1 2 04z садок вишневий коло хати хрущі над вишнями гудуть 

lineVariantsG3 +M 02y 3 03z 3 y0 10 -M ++BL <Ukrainian text>

lineVariantsG3 ++I ++BL 4.3_ +M 02y 3 0y 3 y0 20 y2 40 04z 3 -M садок вишневий коло хати хрущі над вишнями гудуть

lineVariantsG3 +IF hello.txt -IF ++BL +M 02y 3 0y 3 04y 5 y0 40 z4 50 -M садок вишневий коло хати хрущі над вишнями гудуть

To get the Ukrainian informational messages during the work of the executable (instead of the default English ones), please,
use the "+U" command line option anywhere not inside the groups of the options.

You can also use multiple variations mode to look at the synonyms, paraphrases etc.

For this, use instead of just the text as the last arguments the following special construction:

{ <variant1 of the Ukrainian text> / <variant2 of the Ukrainian text> / ... / <variantN of the Ukrainian text> }

with at least two variants inside the curly brackets. They will be processed in chain
with the one variant of each and the possibility to choose at the end between
these different ones, which finally results in a single line.

Please, remember that the program provides processing for every combination of the variations
so if you specify too many of them (e. g. 3 variants of one word and 4 variants of the another one will
lead to 3*4 = 12 variations possible), the processing while getting the final result
can become longer than expected.

2) propertiesTextG3:

propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity of the intervals>
<control of printing the line of the text, too> <control of the sectioning into the lines> <property type>

propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity of the intervals>
<control of printing the line of the text, too> <control of the sectioning into the lines> <property type> | distributionTextG <the same argument of the quantity of the lines> <whether to output also by-line statistics>

PowerShell -Command "propertiesTextG3 <first argument> <file with Ukrainian text> <control of the quantity
of the intervals> <control of printing the line of the text, too> <control of the sectioning into the lines>
<property type> | distributionTextG  <the same argument of the quantity of the lines>
<whether to output also by-line statistics>”

Note: Below the +RTS -N --RTS corresponds to the architectures where the parallelism is possible so that -N is
one of the possible options for RTS. If the following with RTS arguments does not work, then remove the
+RTS -N --RTS block from the command line. One of the examples where RTS does not support parallelism of this kind is
armhf (e. g. Linux on Raspberry PI in 32-bit mode).

propertiesTextG3 sadok0.txt +RTS -N --RTS s 1 0 +M y0 0y 02z 03y z2 y3 yyy -M

propertiesTextG3 sadok0.txt +RTS -N --RTS s 1 0 03z ++B | distributionTextG s 1 +W

propertiesTextG3 <filepath to the file with the Ukrainian text for analysis> @n

3) rewritePoemG3:

rewritePoemG3 <first argument> <file with the Ukrainian text> <property type> <numeric arguments>

rewritePoemG3 +C <file1> <file2> <file3> (all the files must be different and simultaneously the first two ones must
exist already with some text, otherwise, the program gives no meaningful result).

